---
- name: Rollout base scripts for AWS Account and region
  hosts: localhost
  connection: local
  gather_facts: False
  vars_files:
    - "group_vars/account/{{ account }}.yml"
    - "group_vars/region/{{ aws_account_setup_region }}/all.yml"

  pre_tasks:
    - name: Verify AWS Profile
      include_role:
        name: aws-utils
        tasks_from: verify-aws-identity

  roles:
    - role: aws-lambda
      tags: ["region", "lambda"]  # Needed for cfn secrets provider
    - role: aws-iam
      tags: ["account", "iam"]
    - role: account-iam
      tags: ["account", "iam"]
